BackportsList

Differences between revisions 77 and 78
Revision 77 as of 2013-03-10 23:51:25
Size: 11117
Editor: zequence
Comment:
Revision 78 as of 2016-05-02 19:22:05
Size: 1566
Editor: rosco2
Comment: Reset backports list for Xenial
Deletions are marked like this. Additions are marked like this.
Line 4: Line 4:
At this time we will only be focusing on backporting to Ubuntu Studio 10.04 (LTS) Lucid Lynx. At this time we will only be focusing on backporting to Ubuntu Studio 16.04 (LTS) Xenial Xerus, and only a few selected priority packages.
Line 17: Line 17:
== Backports from Maverick Meerkat 10.10 ==
||<-7 #FFCC99 :> '''Audio Backports''' ||
||<rowbgcolor="#cccccc"> '''Package''' || '''Lucid Version''' || '''Maverick Version''' || '''Responsible''' || '''Status''' || '''Bug #'''|| '''Comments''' ||
||<rowbgcolor="#FFFFCC"> alsa-tools || 1.0.22 || 1.0.23 || n/a || not started || Bug #xxxxxx || n/a ||
||<rowbgcolor="#E47A7A"> ardour || 2.8.6 || 2.8.11 || n/a || not started || n/a || MISSING cdbs (>= 0.4.67~) DEPENDENCY IN LUCID ||
||<rowbgcolor="#E47A7A"> audacious || 2.3 || 2.4.0 || n/a || n/a || n/a || MISSING autotools-dev (>= 20100122.1~) and libmowgli-dev (>= 0.7) DEPENDENCY IN LUCID ||
||<rowbgcolor="#E47A7A"> audacious-plugins || 2.3 || 2.4.0 || n/a || n/a || n/a || WILL NOT BACKPORT SINCE AUDACIOUS CANNOT BACKPORT ||
||<rowbgcolor="#E47A7A"> csound || 5.10 || 5.12 || n/a || n/a || n/a || MISSING cdbs (>= 0.4.73~) DEPENDENCY IN LUCID ||
||<rowbgcolor="#CCFFCC"> fluid-soundfont-gm || 3.1-4 || 3.1-5 || n/a || '''ready to test''' || [[https://bugs.launchpad.net/lucid-backports/+bug/730130|Bug #730130]] || n/a ||
||<rowbgcolor="#FFFFCC"> fluidsynth || 1.1.1 || 1.1.2 || n/a || n/a || n/a || BACKPORTING FROM NATTY ||
||<rowbgcolor="#FFFFCC"> gcdmaster || 1.2.2 || 1.2.3 || n/a || not started || [[https://bugs.launchpad.net/lucid-backports/+bug/719815|Bug #719815]] || EXISTING BUG ||
||<rowbgcolor="#E47A7A"> hydrogen || 0.9.4 || 0.9.4.1 || n/a || not started || n/a || MISSING cdbs (>= 0.4.73~) and libtinyxml-dev IN LUCID ||
||<rowbgcolor="#E47A7A"> JACK2 || - || 1.95 || n/a || n/a || n/a || WILL NOT BACKPORT LIBRARY ||
||<rowbgcolor="#CCFFCC"> jamin || 0.95.0 || 0.97.14 || n/a || '''ready to test''' || [[https://bugs.launchpad.net/lucid-backports/+bug/729955|Bug #729955]] || n/a ||
||<rowbgcolor="#E47A7A"> lash || 0.5.4 || 0.6.0 || n/a || n/a || n/a || MISSING cdbs (>= 0.4.75~) AND d-shlibs (>= 0.43) DEPENDENCY IN LUCID ||
||<rowbgcolor="#E47A7A"> libffado || 2.0.0 || 2.0.1 || n/a || n/a || n/a || WILL NOT BACKPORT LIBRARY ||
||<rowbgcolor="#E47A7A"> mixxx || 1.7.2 || 1.8.0 || n/a || n/a || n/a || MISSING 'libqtwebkit-dev' DEPENDENCY IN LUCID ||
||<rowbgcolor="#CCFFCC"> musescore || 0.9.6 || 0.9.6.3 || n/a || '''ready to test''' || [[https://bugs.launchpad.net/lucid-backports/+bug/729811|Bug #729811]] || n/a ||
||<rowbgcolor="#FFFFCC"> patchage || 0.2.3 || 0.4.4 || n/a || not started || Bug #xxxxxx || n/a ||
||<rowbgcolor="#E47A7A"> phasex || - || 0.12.0 || n/a || n/a || n/a || MISSING dh-autoreconf DEPENDENCY IN LUCID ||
||<rowbgcolor="#CCFFCC"> qjackctl || 0.3.4 || 0.3.6 || n/a || '''READY''' || [[https://bugs.launchpad.net/lucid-backports/+bug/681873|Bug #681873]] || n/a ||
||<rowbgcolor="#CCFFCC"> qsynth || 0.3.4 || 0.3.5 || n/a || '''ready to test''' || [[https://bugs.launchpad.net/lucid-backports/+bug/729430|Bug #729430]] || n/a ||
||<rowbgcolor="#CCFFCC"> qtractor || 0.4.5 || 0.4.6 || n/a || '''ready to test''' || [[https://bugs.launchpad.net/lucid-backports/+bug/729750|Bug #729750]] || CAN'T BACKPORT FROM NATTY ||
||<rowbgcolor="#FFFFCC"> rakarrack || 0.3.0 || 0.5.8 || n/a || not started || [[https://bugs.launchpad.net/lucid-backports/+bug/729450|Bug #729450]] || n/a ||
||<rowbgcolor="#CCFFCC"> yoshimi || - || 0.058.1 || n/a || '''READY''' || [[https://bugs.launchpad.net/lucid-backports/+bug/729450|Bug #729450]] || not currently in lucid ||
<<BR>><<BR>>


||<-7 #FFCC99 :> '''Audio-Plugin Backports''' ||
||<rowbgcolor="#cccccc"> '''Package''' || '''Lucid Version''' || '''Maverick Version''' || '''Responsible''' || '''Status''' || '''Bug #'''|| '''Comments''' ||
||<rowbgcolor="#E47A7A"> aeolus || 0.8.2 || 0.8.4 || n/a || n/a || n/a || WEIRD BUILD ERROR ||
||<rowbgcolor="#E47A7A"> dssi || 0.9.1 || 1.0.0 || n/a || n/a || n/a || MISSING autotools-dev (>= 20100122.1~) DEPENDENCY IN LUCID ||
||<rowbgcolor="#E47A7A"> fluidsynth-dssi || 0.9.1 || 1.0.0 || n/a || n/a || n/a || MISSING autotools-dev (>= 20100122.1~) DEPENDENCY IN LUCID ||
||<rowbgcolor="#E47A7A"> hexter || 0.6.1 || 0.6.2 || n/a || not started || n/a || MISSING autotools-dev (>= 20100122.1~) DEPENDENCY IN LUCID ||
||<rowbgcolor="#CCFFCC"> mcp-plugins || 0.3.0 || 0.4.0 || n/a || '''ready to test''' || [[https://bugs.launchpad.net/lucid-backports/+bug/729926|Bug #729926]] || n/a ||
||<rowbgcolor="#E47A7A"> xsynth-dssi || 0.9.0 || 0.9.2 || n/a || n/a || n/a || MISSING autotools-dev (>= 20100122.1~) DEPENDENCY IN LUCID ||
<<BR>><<BR>>


||<-7 #FFCC99 :> '''Graphics Backports''' ||
||<rowbgcolor="#cccccc"> '''Package''' || '''Lucid Version''' || '''Maverick Version''' || '''Responsible''' || '''Status''' || '''Bug #'''|| '''Comments''' ||
||<rowbgcolor="#CCFFCC"> gimp || 2.6.8 || 2.6.10 || n/a || '''READY''' || [[https://bugs.launchpad.net/lucid-backports/+bug/729998|Bug #729998]] || cannot backport from natty ||
||<rowbgcolor="#CCFFCC"> gimp-plugin-registry || 2.3 || 3.2 || n/a || '''READY''' || [[https://bugs.launchpad.net/lucid-backports/+bug/730181|Bug #730181]] || cannot backport from natty ||
||<rowbgcolor="#CCFFCC"> inkscape || 0.47.0 || 0.48.0 || n/a || '''READY''' || [[https://bugs.launchpad.net/lucid-backports/+bug/729474|Bug #729474]] || n/a ||
||<rowbgcolor="#CCFFCC"> xsane || 0.996 || 0.997 || n/a || '''ready to test''' || [[https://bugs.launchpad.net/lucid-backports/+bug/729898|Bug #729898]] || n/a ||
<<BR>><<BR>>


||<-7 #FFCC99 :> '''Video Backports''' ||
||<rowbgcolor="#cccccc"> '''Package''' || '''Lucid Version''' || '''Maverick Version''' || '''Responsible''' || '''Status''' || '''Bug #'''|| '''Comments''' ||
||<rowbgcolor="#E47A7A"> ffmpeg || 4:0.5.1 || 4:0.6 || n/a || n/a || n/a || MISSING 'libva-dev' DEPENDENCY IN LUCID ||
||<rowbgcolor="#CCFFCC"> openshot|| 1.1.3 || 1.2.2 || n/a || '''ready to test''' || [[https://bugs.launchpad.net/lucid-backports/+bug/729488|Bug #729488]] || n/a ||
<<BR>><<BR>>


||<-6 #FFCC99 :> '''Will Not Backport''' ||
||<rowbgcolor="#cccccc"> '''Package''' || '''Lucid Version''' || '''Maverick Version''' || '''Responsible''' || '''Status''' || '''Comments''' ||
||<rowbgcolor="#E47A7A"> audacity || 1.3.12 || 1.3.12 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> JACK1 || 0.118 || 0.118 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> jack-tools || 0.0.2 || 0.0.2 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> lilypond || 2.12.3 || 2.12.3 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> meterbridge || 0.9.2 || 0.9.2 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> qamix || 0.0.7 || 0.0.7 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> seq24 || 0.9.0 || 0.9.0 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> sooperlooper || 1.6.14 || 1.6.14 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> specimen || 0.5.2 || 0.5.2 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> terminatorx || 3.82 || 3.82 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> whysynth || 20090403 || 20090403 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> xwax || 0.7 || 0.7 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> blop || 0.2.8 || 0.2.8 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> caps || 0.4.2 || 0.4.2 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> calf-plugins || 0.0.18.5 || 0.0.18.5 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> cmt || 1.16 || 1.16 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> fil-plugins || 0.3.0 || 0.3.0 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> omins || 0.2.0 || 0.2.0 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> swh-plugins || 0.4.15 || 0.4.15 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> tap-plugins || 0.7.1 || 0.7.1 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> zynaddsubfx || 2.4.0 || 2.4.0 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> blender || 2.49.2 || 2.49.2 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> gimp-data-extras|| 2.0.1 || 2.0.1 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> gimp-gap || 2.6.0|| 2.6.0 || n/a || will not backport || same version ||
||<rowbgcolor="#E47A7A"> gim-ufraw || 0.16 || 0.16 || n/a || will not backport || same version ||
<<BR>><<BR>>


== Backports from Natty ==
||<-7 #FFCC99 :> '''All Possible Backports from Natty Narwhal 11.04''' ||
||<rowbgcolor="#cccccc"> '''Package''' || '''Lucid Version''' || '''Natty Version''' || '''Responsible''' || '''Status''' || '''Bug #'''|| '''Comments''' ||
||<rowbgcolor="#CCFFCC"> fluidsynth || 1.1.1 || 1.1.3 || n/a || '''ready to test''' || [[https://bugs.launchpad.net/lucid-backports/+bug/729981|Bug #729981]] || n/a ||
||<rowbgcolor="#E47A7A"> lmms || 0.4.5 || 0.4.7 || n/a || n/a || n/a || MISSING libestools2.0-dev DEPENDENCY IN LUCID ||
||<rowbgcolor="#E47A7A"> mixxx || 1.7.2 || 1.8.1 || n/a || n/a || n/a || MISSING libqtwebkit-dev DEPENDENCY IN LUCID ||
||<rowbgcolor="#E47A7A"> guitarix || - || 0.10.0 || n/a || n/a || n/a || MISSING libboost1.42-dev DEPENDENCY IN LUCID ||
||<rowbgcolor="#E47A7A"> qtractor || 0.4.5 || 0.4.7 || n/a || n/a || Bug #xxxxxx || MISSING libjack-dev (>= 1:0.118+svn4089-1~) AND libjack-jackd2-dev (>= 1.9.6~dfsg.1-3~) DEPENDENCY IN LUCID ||
||<rowbgcolor="#E47A7A"> dssi || 0.9.1 || 1.1.0 || n/a || n/a || n/a || MISSING autotools-dev (>= 20100122.1~) DEPENDENCY IN LUCID ||
||<rowbgcolor="#E47A7A"> xsynth-dssi || 0.9.0 || 0.9.4 || n/a || n/a || n/a || MISSING autotools-dev (>= 20100122.1~) DEPENDENCY IN LUCID ||
||<rowbgcolor="#E47A7A"> gimp || 2.6.8 || 2.6.11 || n/a || n/a || n/a || MISSING dh-autoreconf AND libwebkitgtk-dev DEPENDENCY IN LUCID ||
||<rowbgcolor="#E47A7A"> gimp-plugin-registry || 2.3 || 3.5.1 || n/a || n/a || n/a || WILL NOT BACKPORT SINCE GIMP CANNOT BACKPORT) ||
== Backports to Xenial ==
||<-7 #FFCC99 :> '''All Possible Backports to Xenial 16.04''' ||
||<rowbgcolor="#cccccc"> '''Package''' || '''Original Xenial Version''' || '''Backported Version''' || '''Potential Version Yakkety''' || '''Responsible''' || '''Status''' || '''Bug #'''|| '''Comments''' ||
|| || || || || || || || ||
|| || || || || || || || ||
|| || || || || || || || ||
|| || || || || || || || ||
|| || || || || || || || ||
|| || || || || || || || ||
|| || || || || || || || ||
|| || || || || || || || ||
|| || || || || || || || ||

This page will be used to develop a comprehensive backporting plan using a Ubuntu Studio PPA (maybe ubuntustudio-backports-testing).

At this time we will only be focusing on backporting to Ubuntu Studio 16.04 (LTS) Xenial Xerus, and only a few selected priority packages.

https://wiki.ubuntu.com/UbuntuStudio/BackportsHowToHelp

Status
Use the following indicators for the status column:
not started - indicates that the backport process has not started
started - indicated that someone has started backporting, helps prevent duplication of effort
ready to test - indicates it has been built for Lucid, moved to the PPA, and is ready for testing
tested#1 - indicates that one person has tested the package
tested#2 - indicates that two persons have tested the package
ready - indicates that a bug has been filed and is awaiting backporting

Backports to Xenial

All Possible Backports to Xenial 16.04

Package

Original Xenial Version

Backported Version

Potential Version Yakkety

Responsible

Status

Bug #

Comments

UbuntuStudio/BackportsList (last edited 2016-06-28 17:30:05 by rosco2)